aboutsummaryrefslogtreecommitdiffstats
path: root/main/nmap
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-07-30 08:51:11 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-07-30 08:54:53 +0000
commit5c904717322f8113870abf48cc93c3c8b00ab4e8 (patch)
treee077e5c3afa20630fd6e96db5872f03d622d639e /main/nmap
parenta879839450737e3cbdb64415af42347c97ccfa28 (diff)
downloadaports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.gz
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.bz2
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.xz
[all autotools packages]: normalize ./configure
Diffstat (limited to 'main/nmap')
-rw-r--r--main/nmap/APKBUILD8
1 files changed, 6 insertions, 2 deletions
diff --git a/main/nmap/APKBUILD b/main/nmap/APKBUILD
index 3856b4c58f..cd9c5dae6e 100644
--- a/main/nmap/APKBUILD
+++ b/main/nmap/APKBUILD
@@ -17,13 +17,17 @@ source="http://nmap.org/dist/$pkgname-$pkgver.tgz"
_builddir="$srcdir"/$pkgname-$pkgver
build() {
cd "$_builddir"
- ./configure --prefix=/usr \
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
--infodir=/usr/share/info \
--without-zenmap \
--with-liblua=/usr/include \
- --with-openssl=/usr/lib
+ --with-openssl=/usr/lib \
+ || return 1
make || return 1
}